import { request } from '@/utils/request.js';

//延期预警列表
export const getDelayWarnList = (data) =>
  request({
    url: '/api/admin/tb/delay/warn/query',
    params: data,
  });

//关闭单个延期预警
export const closeDelayWarn = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/close?id=' + id,
    loading: true,
  });
//重启延期预警
export const restartDelayWarn = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/restart?id=' + id,
    loading: true,
  });
//单个延期预警的详情
export const delayWarnDetail = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/get?id=' + id,
    method: 'get',
  });
//延期预警明细表
export const delayWarnDetailList = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/detail/list?id=' + id,
  });

//延期预警跟进提交
export const flowDelayWarn = (data) =>
  request({
    url: '/api/admin/tb/delay/warn/detail/save',
    data,
    loading: true,
  });

//违规登记列表
export const getViolationList = (data) =>
  request({
    url: '/api/admin/tb/violation/query',
    params: data,
  });
//关闭单个违规登记
export const closeViolation = (id) =>
  request({
    url: '/api/admin/tb/violation/close?id=' + id,
    loading: true,
  });
//重启违规登记
export const restartViolation = (id) =>
  request({
    url: '/api/admin/tb/violation/restart?id=' + id,
    loading: true,
  });
//单个违规登记的详情
export const violationDetail = (id) =>
  request({
    url: '/api/admin/tb/violation/get?id=' + id,
    method: 'get',
  });
//违规登记明细表
export const violationDetailList = (id) =>
  request({
    url: '/api/admin/tb/violation/detail/query?id=' + id,
  });
//违规登记跟进提交
export const flowViolation = (data) =>
  request({
    url: '/api/admin/tb/violation/detail/save',
    data,
    loading: true,
  });
//sop管理 - 设备出入库登记查询
export const deviceOutInSearch = (params) =>
  request({
    url: '/api/admin/device/in/out/sop_page',
    params,
  });
export const deviceCanOut = (params) =>
  request({
    url: '/api/admin/device/in/out/can_out_info',
    params,
  });

//查询可入库的设备信息
export const deviceCanIn = (params) =>
  request({
    url: '/api/admin/device/in/out/can_in_info',
    params,
  });

//设备出入库，提交
export const deviceOutInSave = (data) =>
  request({
    url: '/api/admin/device/in/out/submit',
    data,
  });
//项目计划变更列表
export const planChangeList = (params) =>
  request({
    url: '/api/admin/project/exchange/list',
    params,
  });
//项目变更计划申请（第一步）
export const createPlanChange = (data) =>
  request({
    url: '/api/admin/ding/exception/apply/save',
    data,
  });
//项目变更计划审批
export const approvePlanChange = (params) =>
  request({
    url: '/api/admin/project/exchange/flow/approve',
    params,
    loading: true,
  });

//获取流程部署信息接口
export const getFlowDeployment = () =>
  request({
    url: '/api/admin/flow/deployment/data',
  });

//流程详细信息接口
export const getFlowDetail = (data) =>
  request({
    url: '/api/admin/flow/view',
    data,
  });
