export default {
  name: 'WorkHours',
  path: '/work-hours',
  redirect: '/work-hours/work-hours-manage',
  meta: {
    title: '工时',
    sort: 5,
    isModule: true,
    alias: 'hoursManage',
    icon: 'time',
  },
  children: [
    {
      name: 'WorkHoursManage',
      path: '/work-hours/work-hours-manage',
      redirect: '/work-hours/work-hours-manage/abnormal-check',
      meta: {
        title: '工时管理',
        sort: 1,
        alias: 'hoursChildManage',
      },
      children: [
        {
          name: 'AbnormalCheck',
          path: '/work-hours/work-hours-manage/abnormal-check',
          component: () =>
            import(
              '@/views/work-hours/work-hours-manage/abnormal-check/index.vue'
            ),
          meta: {
            title: '异常审核',
            sort: 1,
            alias: 'exception',
            icon: 'service-crm',
          },
        },
        {
          name: 'WorkAttendance',
          path: '/work-hours/work-hours-manage/work-attendance',
          component: () =>
            import(
              '@/views/work-hours/work-hours-manage/work-attendance/index.vue'
            ),
          meta: {
            title: '考勤提交',
            sort: 2,
            alias: 'dingSubmit',
            icon: 'service-crm',
          },
        },
        {
          name: 'WorkAttendanceDetail',
          path: '/work-hours/work-hours-manage/work-attendance-detail',
          component: () =>
            import(
              '@/views/work-hours/work-hours-manage/work-attendance-detail/index.vue'
            ),
          meta: {
            title: '考勤明细查询',
            sort: 2,
            alias: 'dingDetail',
            icon: 'service-crm',
          },
        },
        {
          name: 'WorkStatistics',
          path: '/work-hours/work-hours-manage/work-statistics',
          component: () =>
            import(
              '@/views/work-hours/work-hours-manage/work-statistics/index.vue'
            ),
          meta: {
            title: '工时统计',
            sort: 3,
            alias: 'hourSubmit',
            icon: 'service-crm',
          },
        },
      ],
    },
  ],
};
